/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  


   ### File Specific:
   main-programmer: Benjamin Grauer

*/

#include "orxonox_gui_banner.h"

/**
   \brief Creates a new BannerEventBox and its content.
*/
OrxonoxGuiBanner::OrxonoxGuiBanner ()
{
  // Banner Itself //
  bannerEventBox = new EventBox ("BannerEventBox");
  bannerImage = new Image ("banner.xpm");
  bannerEventBox->fill(bannerImage);

  // Banner Window //
  logoWindow = new Window("Logo");

#ifdef HAVE_GTK2
  bannerEventBox->connectSignal ("button_press_event", logoWindow, Window::windowOpen);

  logoWindow->connectSignal("destroy", logoWindow, Window::windowClose);
  logoWindow->connectSignal("delete_event", logoWindow, Window::windowClose);
#endif /* HAVE_GTK2 */
  logoEventBox = new EventBox();
  logoBox = new Box('v');
  logoLabel = new Label("OrxOnoX, Version: " PACKAGE_VERSION);
  logoImage = new Image("banner.xpm");
  logoEventBox->fill(logoImage);
  
  logoBox->fill(logoLabel);
  logoBox->fill(logoEventBox);
#ifdef HAVE_GTK2
  logoEventBox->connectSignal("button_press_event",logoWindow, Window::windowClose);
#endif /* HAVE_GTK2 */

  logoWindow->fill (logoBox);
  
  Window::addWindow (logoWindow);
}

/**
   \brief Destructs it.
*/
OrxonoxGuiBanner::~OrxonoxGuiBanner ()
{
}

/**
   \brief Returns an EventBox
   \return The EventBox, that holds the Banner.
*/
Widget* OrxonoxGuiBanner::getWidget ()
{
  return bannerEventBox;
}


