/*!
  \file orxonox_gui_exec.h
  \brief File that holds the class that creates the execute-Options.
*/

#ifndef _ORXONOX_GUI_EXEC_H
#define _ORXONOX_GUI_EXEC_H

#include "orxonox_gui.h"
#include <stdio.h>
using namespace std;

//! Class that creates the execute-Options.
class OrxonoxGuiExec
{
 private:
  Frame* execFrame;
  Box* execBox;
  Button* start;
  CheckButton* saveSettings;
  Menu* verboseMode;
  CheckButton* alwaysShow;
  Button* quit;
  char* configFile;
  FILE* CONFIG_FILE;
 public:
  OrxonoxGuiExec (Window* orxonoxGUI);
  ~OrxonoxGuiExec ();
  
  Widget* getWidget ();
  
  void setFilename (char* filename);
  int shouldsave ();
  void writeToFile (Widget* widget);
  void writeFileText (Widget* widget, int depth);
  void readFromFile (Widget* widget);
  void readFileText (Widget* widget, char* variableName, char* variableValue, int depth);
  Widget* locateGroup(Widget* widget, char* groupName, int depth);

};
#ifdef HAVE_GTK2
  gint startOrxonox (GtkWidget *widget, Widget* data);
#endif /* HAVE_GTK2 */
#endif /* _ORXONOX_GUI_EXEC_H */
